## EasyMod 0.0.7 compliant
##############################################################
## MOD Title:          Bantron Mod
## MOD Version:        1.0.0
## MOD Author:         GUI < spam@nickm.org > Nick Muerdter http://www.nickm.org/
## MOD Description:    Adds many features to the ban system
##                     including private/public ban reasons
##                     and expiring bans. Bans are also
##                     presented in a more browsable paginated
##                     list style.
##
## Installation Level: easy
## Installation Time:  ~5 Minutes
## Files To Edit:      includes/sessions.php
## Included Files:     admin/admin_user_bantron.php
##                     templates/subSilver/admin/user_bantron_body.tpl
##                     templates/subSilver/admin/user_bantron_edit.tpl
##                     templates/subSilver/admin/user_bantron_reasons.tpl
##############################################################
## For Security Purposes, Please Check: http://www.phpbb.com/mods/downloads/ for the
## latest version of this MOD. Downloading this MOD from other sites could cause malicious code
## to enter into your phpBB Forum. As such, phpBB will not offer support for MOD's not offered
## in our MOD-Database, located at: http://www.phpbb.com/mods/downloads/
##############################################################
## Author Notes:
##   Loosely derived from Wooly Spud's "Advanced Banned User
##   Management" mod.
##############################################################
## MOD History:
##   1.0.0 (05-06-03)
##     - Initial Release.
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
##############################################################

#
#-----[ COPY ]------------------------------------------
#
admin/admin_user_bantron.php to admin/admin_user_bantron.php
templates/subSilver/admin/user_bantron_body.tpl templates/subSilver/admin/user_bantron_body.tpl
templates/subSilver/admin/user_bantron_edit.tpl templates/subSilver/admin/user_bantron_edit.tpl
templates/subSilver/admin/user_bantron_reasons.tpl templates/subSilver/admin/user_bantron_reasons.tpl

#
#-----[ SQL ]------------------------------------------
#
ALTER TABLE phpbb_banlist
ADD ban_time int(11) default NULL,
ADD ban_expire_time int(11) default NULL,
ADD ban_by_userid mediumint(8) default NULL,
ADD ban_priv_reason text,
ADD ban_pub_reason_mode tinyint(1) default NULL,
ADD ban_pub_reason text;

#
#-----[ OPEN ]------------------------------------------
#
includes/sessions.php

#
#-----[ FIND ]------------------------------------------
#
	$sql = "SELECT ban_ip, ban_userid, ban_email 
	
#
#-----[ REPLACE WITH ]------------------------------------------
#
	$sql = "SELECT ban_ip, ban_userid, ban_email, ban_email, ban_expire_time, ban_priv_reason, ban_pub_reason_mode, ban_pub_reason 
	
#
#-----[ FIND ]------------------------------------------
#
		if ( $ban_info['ban_ip'] || $ban_info['ban_userid'] || $ban_info['ban_email'] )
		
#
#-----[ REPLACE WITH ]------------------------------------------
#
		if ( $ban_info['ban_ip'] || $ban_info['ban_userid'] || $ban_info['ban_email'] && ((isset ($ban_info['ban_expire_time']) && $ban_info['ban_expire_time'] >= time ()) || !isset ($ban_info['ban_expire_time'])) )
		
#
#-----[ FIND ]------------------------------------------
#
			message_die(CRITICAL_MESSAGE, 'You_been_banned');
			
#
#-----[ REPLACE WITH ]------------------------------------------
#
			if ($ban_info['ban_pub_reason_mode'] == '0' || !isset ($ban_info['ban_pub_reason_mode'])) {
				$reason = 'You_been_banned';
			} else if ($ban_info['ban_pub_reason_mode'] == '1') {
				$reason = str_replace ("\n", '<br />', stripslashes ($ban_info['ban_priv_reason']));
			} else if ($ban_info['ban_pub_reason_mode'] == '2') {
				$reason = str_replace ("\n", '<br />', stripslashes ($ban_info['ban_pub_reason']));
			}
				
			message_die(CRITICAL_MESSAGE, $reason);
			
#
#-----[ OPEN ]------------------------------------------
#
language/lang_english/lang_admin.php

#
#-----[ FIND ]------------------------------------------
#
//
// That's all Folks!

#
#-----[ BEFORE, ADD ]------------------------------------------
#
// Bantron Mod : Begin
$lang['Bantron'] = 'Bantron';
$lang['BM_Title'] = 'Bantron';
$lang['BM_Explain'] = 'From this page you can add, edit, view, and remove the bans in place on this board.';

$lang['BM_Show_bans_by'] = 'Show bans by';
$lang['BM_All'] = 'All';
$lang['BM_Show'] = 'Show';

$lang['BM_IP'] = 'IP';
$lang['BM_Last_visit'] = 'Last Visit';
$lang['BM_Banned'] = 'Banned';
$lang['BM_Expires'] = 'Expires';
$lang['BM_By'] = 'By';
$lang['BM_Reasons'] = 'Reasons';

$lang['BM_Add_a_new_ban'] = 'Add a new ban';
$lang['BM_Delete_selected_bans'] = 'Delete selected bans';

$lang['BM_Private_reason'] = 'Private reason';
$lang['BM_Private_reason_explain'] = 'This reason for banning the entered usernames, e-mails, and/or IP addresses is kept for note purposes only in the administration.';

$lang['BM_Public_reason'] = 'Public reason';
$lang['BM_Public_reason_explain'] = 'This reason for banning the entered usernames, e-mails, and/or IP addresses is displayed to the banned user(s) when they attempt to access the forums.';
$lang['BM_Generic_reason'] = 'Generic reason';
$lang['BM_Mirror_private_reason'] = 'Mirror private reason';
$lang['BM_Other'] = 'Other';

$lang['BM_Expire_time'] = 'Expire time';
$lang['BM_Expire_time_explain'] = 'By specifying a date, either in relation to the current date or an absolute date, the ban will become inactive after that point in time.';
$lang['BM_Never'] = 'Never';
$lang['BM_After_specified_length_of_time'] = 'After specified length of time';
$lang['BM_Minutes'] = 'Minute(s)';
$lang['BM_Hours'] = 'Hour(s)';
$lang['BM_Days'] = 'Day(s)';
$lang['BM_Weeks'] = 'Week(s)';
$lang['BM_Months'] = 'Month(s)';
$lang['BM_Years'] = 'Year(s)';
$lang['BM_After_specified_date'] = 'After specified date';
$lang['BM_AM'] = 'AM';
$lang['BM_PM'] = 'PM';
$lang['BM_24_hour'] = '24-Hour';

$lang['BM_Ban_reasons'] = 'Ban Reasons';
// Bantron Mod : End

#
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------
#
# EoM